Subject: Re: [PATCH v2] ipv6: route: Unregister netdevice notifier on BPF init failure

From: Jakub Kicinski <[email-masked]>
Date: Tue, 19 May 2026 16:31:47 -0700

On Tue, 19 May 2026 09:49:04 -0400 최유호 wrote:
> Thanks for pointing out the outdated tree. I will definitely rebase
> and resubmit v3 against netdev/net.git.
> 
> Regarding the goto: The reason I moved away from the goto approach in
> v2 is that if CONFIG_BPF_SYSCALL and CONFIG_PROC_FS are disabled, the
> goto statement is compiled out. This leaves the target label unused,
> triggering an "unused-label" compiler warning.
> 
> Since guarding labels with #ifdefs can get messy, I opted for the
> direct unregistration in the failure path for v2 to keep it clean.
> 
> Would you still prefer I use the goto and guard the label
> appropriately in v3, or is direct unregistration acceptable given the
> warning?

Yes, guard the label, please.

Reminder: please don't top post.